diff --git a/web/pgadmin/browser/templates/browser/index.html b/web/pgadmin/browser/templates/browser/index.html
index 0bf9f42..c571df2 100644
--- a/web/pgadmin/browser/templates/browser/index.html
+++ b/web/pgadmin/browser/templates/browser/index.html
@@ -144,7 +144,7 @@ window.onload = function(e){
                 <ul class="dropdown-menu dropdown-menu-right" role="menu">
                     {% if auth_only_internal %}
                     <li>
-                        <a class="dropdown-item" href="#" onclick="pgAdmin.Browser.UserManagement.change_password(
+                        <a class="dropdown-item" href="#" role="menuitem" onclick="pgAdmin.Browser.UserManagement.change_password(
                           '{{ url_for('browser.change_password') }}'
                         )">
                             {{ _('Change Password') }}
@@ -153,10 +153,10 @@ window.onload = function(e){
                     <li class="dropdown-divider"></li>
                     {% endif %}
                     {% if is_admin %}
-                    <li><a class="dropdown-item" href="#" onclick="pgAdmin.Browser.UserManagement.show_users()">{{ _('Users') }}</a></li>
+                    <li><a class="dropdown-item" href="#" role="menuitem" onclick="pgAdmin.Browser.UserManagement.show_users()">{{ _('Users') }}</a></li>
                     <li class="dropdown-divider"></li>
                     {% endif %}
-                    <li><a class="dropdown-item" href="{{ logout_url }}">{{ _('Logout') }}</a></li>
+                    <li><a class="dropdown-item" role="menuitem" href="{{ logout_url }}">{{ _('Logout') }}</a></li>
                 </ul>
             </li>
         </ul>
diff --git a/web/pgadmin/misc/dependencies/static/js/dependencies.js b/web/pgadmin/misc/dependencies/static/js/dependencies.js
index 0cffb37..829f775 100644
--- a/web/pgadmin/misc/dependencies/static/js/dependencies.js
+++ b/web/pgadmin/misc/dependencies/static/js/dependencies.js
@@ -99,7 +99,7 @@ define('misc.dependencies', [
           },
           {
             name: 'field',
-            label: ' ', // label kept blank, it will change dynamically
+            label: gettext('field'),
             cell: 'string',
             editable: false,
           },
diff --git a/web/pgadmin/misc/dependents/static/js/dependents.js b/web/pgadmin/misc/dependents/static/js/dependents.js
index 382cdf7..ea3cebc 100644
--- a/web/pgadmin/misc/dependents/static/js/dependents.js
+++ b/web/pgadmin/misc/dependents/static/js/dependents.js
@@ -100,7 +100,7 @@ define('misc.dependents', [
           },
           {
             name: 'field',
-            label: ' ', // label kept blank, it will change dynamically
+            label: gettext('field'),
             cell: 'string',
             editable: false,
           },
diff --git a/web/pgadmin/templates/base.html b/web/pgadmin/templates/base.html
index 781a092..aff8772 100644
--- a/web/pgadmin/templates/base.html
+++ b/web/pgadmin/templates/base.html
@@ -1,12 +1,12 @@
 <!DOCTYPE html>
 <!--[if lt IE 7]>
-<html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
+<html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
 <!--[if IE 7]>
-<html class="no-js lt-ie9 lt-ie8"> <![endif]-->
+<html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
 <!--[if IE 8]>
-<html class="no-js lt-ie9"> <![endif]-->
+<html class="no-js lt-ie9" lang="en"> <![endif]-->
 <!--[if gt IE 8]><!-->
-<html class="no-js"> <!--<![endif]-->
+<html class="no-js" lang="en"> <!--<![endif]-->
 <head>
     <meta charset="utf-8">
     <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
